﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Web.Services;
using System.Configuration;
using NorthwindModel;
using System.Data.Objects;


public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            rptCustomers.DataSource = GetCustomersData(1);
            rptCustomers.DataBind();
        }
    }
    public static DataSet GetCustomersData(int pageIndex)
    {
        NorthwindEntities entities = new NorthwindEntities();
        ObjectParameter pageCount = new ObjectParameter("PageCount", typeof(int));
        var result = entities.CustomerPager(pageIndex, 10, pageCount);
        DataTable dt = new DataTable("Customers");
        dt.Columns.Add("CustomerID", typeof(string));
        dt.Columns.Add("ContactName", typeof(string));
        dt.Columns.Add("CompanyName", typeof(string));
        dt.Columns.Add("City", typeof(string));
        dt.Columns.Add("Country", typeof(string));
        dt.Columns.Add("PostalCode", typeof(string));
        dt.Columns.Add("Phone", typeof(string));
        dt.Columns.Add("Fax", typeof(string));
        foreach (var item in result)
        {
            DataRow row = dt.NewRow();
            row["CustomerID"] = item.CustomerID;
            row["ContactName"] = item.ContactName;
            row["CompanyName"] = item.CompanyName;
            row["City"] = item.City;
            row["Country"] = item.Country;
            row["PostalCode"] = item.PostalCode;
            row["Phone"] = item.Phone;
            row["Fax"] = item.Fax;
            dt.Rows.Add(row);
        }

        using (DataSet ds = new DataSet("Customers"))
        {
            ds.Tables.Add(dt);
            DataTable dt1 = new DataTable("PageCount");
            dt1.Columns.Add("PageCount");
            dt1.Rows.Add();
            dt1.Rows[0][0] = Convert.ToInt32(pageCount.Value);
            ds.Tables.Add(dt1);
            return ds;
        }
    }
    [WebMethod]
    public static string GetCustomers(int pageIndex)
    {
        return GetCustomersData(pageIndex).GetXml();
    }

}